Functions

# skype-list.h File Reference

`#include <stdio.h>`
`#include <skype-string.h>`
Include dependency graph for skype-list.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | push_back (const ElementType &str)
bool | append_empty_string_if_param_isnull (const ElementType &param)
SEList< ElementType > & | append (const ElementType &param)
ElementType | peek ()
size_t | size () const
const ElementType & | operator[] (size_t n) const
SEList< ElementType > & | operator= (const SEList< ElementType > &sl)
ElementType | join (const ElementType &sep, bool escape_args=true) const
bool | contains (const ElementType &val)
bool | remove_val (const ElementType &val)
bool | remove_pos (const unsigned int pos)
int | find_pos (const ElementType &val)
void | resize (const unsigned int new_size)
void | clear ()

## Function Documentation

SEList<ElementType>& append | ( | const ElementType & | param | ) |

Appends a element at the end of the list.

Definition at line 69 of file skype-list.h.

References append_empty_string_if_param_isnull().

bool append_empty_string_if_param_isnull | ( | const ElementType & | param | ) | `[inline]`

Definition at line 65 of file skype-list.h.

void clear | ( |  | ) |

Definition at line 291 of file skype-list.h.

References size().

bool contains | ( | const ElementType & | val | ) |

Definition at line 195 of file skype-list.h.

References find_pos().

int find_pos | ( | const ElementType & | val | ) |

Definition at line 239 of file skype-list.h.

References size().

ElementType join | ( | const ElementType & | sep,
|  | bool | escape_args = `true` |
| ) |  |  | const

Creates a string out of the list of strings by joining them.

Parameters:

  | sep | String to use as a separator between each joined string.
  | escape_args | Should the parameters be escaped before joining them.

Definition at line 181 of file skype-list.h.

References operator[](), and size().

SEList<ElementType>& operator= | ( | const SEList< ElementType > & | sl | ) |

Assigns a shallow copy of sl to this list and returns a reference to it. This is very fast because the list isn't actually copied.

Definition at line 168 of file skype-list.h.

const ElementType& operator[] | ( | size_t | n | ) | const

Returns the string specified by its index. Returns a string reference specified by its index.

Definition at line 158 of file skype-list.h.

References empty, and size().

ElementType peek | ( |  | ) |

Removes the first element from the list and returns it.

Definition at line 90 of file skype-list.h.

void push_back | ( | const ElementType & | str | ) |

Appends a string at the end of the list.

Definition at line 61 of file skype-list.h.

References append().

bool remove_pos | ( | const unsigned int | pos | ) |

Definition at line 207 of file skype-list.h.

References size().

bool remove_val | ( | const ElementType & | val | ) |

Definition at line 199 of file skype-list.h.

References find_pos(), and remove_pos().

void resize | ( | const unsigned int | new_size | ) |

Definition at line 250 of file skype-list.h.

References clear(), and size().

size_t size | ( |  | ) | const

Returns the size of the list.

Definition at line 114 of file skype-list.h.

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines

(c) Skype Technologies S.A. Confidential/Proprietary

Last updated: Fri Jan 27 2012